Transaction List
curl --request GET \
--url https://s-apis.oppigames.com/game/session \
--header 'content-type: <content-type>' \
--header 'x-api-key: <x-api-key>' \
--header 'x-signature: <x-signature>' \
--header 'x-timestamp: <x-timestamp>'import requests
url = "https://s-apis.oppigames.com/game/session"
headers = {
"x-api-key": "<x-api-key>",
"x-signature": "<x-signature>",
"x-timestamp": "<x-timestamp>",
"content-type": "<content-type>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'x-api-key': '<x-api-key>',
'x-signature': '<x-signature>',
'x-timestamp': '<x-timestamp>',
'content-type': '<content-type>'
}
};
fetch('https://s-apis.oppigames.com/game/session', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://s-apis.oppigames.com/game/session",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"content-type: <content-type>",
"x-api-key: <x-api-key>",
"x-signature: <x-signature>",
"x-timestamp: <x-timestamp>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"status": "RS_OK",
"data": {
"totalPages": 3,
"currentPage": 1,
"totalCount": 14,
"result": [
{
"transactionId": "7f4ef777-7ad7-486a-8186-249e99ba715a",
"sessionId": "d404f1da-26a6-44ff-8b0f-559915152be11742537289208",
"playerId": "18865671",
"playerName": "XYZ player",
"betAmount": 5000000,
"payout": 6000000,
"isWin": true,
"sessionStatus": 1,
"gameId": "G1742465405970",
"gameName": "Cricket Crash",
"createdAt": "2025-03-21T11:02:46.615Z"
}
]
}
}
{
"status": "RS_ERROR",
"message": "Oops! Something went wrong. Please refresh the page or try again in a moment"
}
Transaction
Transaction List
This API is used to get game session details based on player sessionId.
GET
/
game
/
session
Transaction List
Status
- 0 = Inactive
- 1 = Active
Headers
string
required
A unique identifier associated with operator calling API.
string
required
A SHA256 HMAC signature generated using the request body and timestamp.
Format: HMAC_SHA256(JSON.stringify(data) + ’|’ + timestamp), signed using the
provided secret key.
string
required
An Unix timestamp (milliseconds) when the request was sent. Ensure the same
value is used in signature generation.
string
required
Must be set to
application/jsonQuery Parameters
integer
Specifies the current page number for pagination purposes.
integer
Specifies how many records to display on each page, controlling the size of
each data segment.
string
required
A unique identifier for the game session you want to retrieve.
Response
string
required
Code indicates status of the request weather it is succeed or failed. We have listed error codes here
Data Object
Show properties
Show properties
integer
required
The total number of pages available.
integer
required
The current page number of the results.
integer
required
The total number of records available.
array
required
An array of session objects containing details about each game session.
Show child attributes
Show child attributes
string
required
Unique identifier for the transaction.
string
required
Unique identifier for the game session.
string
required
Unique identifier for the player.
string
required
Name of the player.
number
required
Bet amount placed by the player.
To maintain precision and avoid floating-point errors, the bet field is processed as an integer value by multiplying the actual amount by
100000.For example, a bet of 12.34567 will be represented as 1234567 in the API.number
required
Amount won by the player.
To maintain precision and avoid floating-point errors, the payout field is processed as an integer value by multiplying the actual amount by
100000.For example, a payout of 12.34567 will be represented as 1234567 in the API.boolean
required
Indicates if the player won the bet.
number
required
Status of the game session.
string
required
Unique identifier for the game.
string
required
Name of the game.
string
required
UTC timestamp when the transaction was created.
{
"status": "RS_OK",
"data": {
"totalPages": 3,
"currentPage": 1,
"totalCount": 14,
"result": [
{
"transactionId": "7f4ef777-7ad7-486a-8186-249e99ba715a",
"sessionId": "d404f1da-26a6-44ff-8b0f-559915152be11742537289208",
"playerId": "18865671",
"playerName": "XYZ player",
"betAmount": 5000000,
"payout": 6000000,
"isWin": true,
"sessionStatus": 1,
"gameId": "G1742465405970",
"gameName": "Cricket Crash",
"createdAt": "2025-03-21T11:02:46.615Z"
}
]
}
}
{
"status": "RS_ERROR",
"message": "Oops! Something went wrong. Please refresh the page or try again in a moment"
}
⌘I
